import { ModalConfig } from "/@/components/PageModal/src/types";
import { h } from "vue";
import { ElTag, ElImage } from "element-plus";
const modalConfig: ModalConfig = {
  title: "账号",
  colLayout: { span: 12 },
  itemStyle: {},
  contact: "invoice_mobile",
  formItems: [
    {
      field: "username",
      type: "input",
      label: "账号",
      labelWidth: "120px",
      placeholder: "账号"
    },

    {
      field: "company_title",
      type: "input",
      label: "公司",
      labelWidth: "120px",
      placeholder: "公司"
    },

    {
      field: "card_title",
      type: "input",
      label: "卡类型",
      labelWidth: "120px",
      placeholder: "卡类型"
    },

    {
      field: "name",
      type: "input",
      label: "客户姓名",
      labelWidth: "120px",
      placeholder: "客户姓名"
    },
    {
      field: "mobile",
      type: "input",
      label: "手机号",
      labelWidth: "120px",
      placeholder: "手机号"
    },
    {
      field: "addtime",
      type: "input",
      label: "创建时间",
      labelWidth: "120px",
      placeholder: "创建时间"
    },

    {
      field: "video_list",
      type: "array",
      label: "直播视频",
      labelWidth: "120px",
      placeholder: "直播视频",
      span: 24
    },
    {
      field: "remark",
      type: "input",
      label: "备注",
      labelWidth: "120px",
      placeholder: "备注",
      span: 24
    }
  ]
};

export default modalConfig;
